package co.pixelbeard.theanfieldwrap.forgotPassword.fpAuth;

import co.pixelbeard.theanfieldwrap.utils.BasePresenter;
import co.pixelbeard.theanfieldwrap.utils.BaseView;

public interface ForgotPasswordAuthContract {

    interface View extends BaseView<Presenter> {
        void showInvalidCodeError();

        void enableButton();

        void disableButton();
    }

    interface Presenter extends BasePresenter {
        boolean validateFields(String code, boolean shouldShowError);
    }
}